Results 1 to 4 of 4
  1. #1
    3 Star Lounger
    Join Date
    Nov 2001
    Location
    Brisbane, Queensland, Australia
    Posts
    330
    Thanks
    10
    Thanked 0 Times in 0 Posts

    Access Runtime Errors and Jet versions (Acc2003 on xp (2000 mode))

    Hi All

    I have an FE/BE setup. Two of us are running Access 2003 on xp, the others are running 95, NT and ME and using the Runtime environment that came with Access 2003 to run the same FE. They are suffering with runtime errors that close the database down on them more and more frequently and I can't duplicate the problems on my machine. As they all have the same runtime environment, should they not have the same jet versions as me? Is there a way to trap the runtime errors on their machines? This is becoming very frustrating.
    Does anyone have any ideas other than the obvious one of upgrading them to xp?
    "Heading for the deep end"

  2. #2
    Plutonium Lounger
    Join Date
    Mar 2002
    Posts
    84,353
    Thanks
    0
    Thanked 29 Times in 29 Posts

    Re: Access Runtime Errors and Jet versions (Acc2003 on xp (2000 mode))

    As far as I can tell from Packaging Access 2003 Solutions and Access 2003 System Requirements, the Access 2003 Runtime (which is, basically, Access 2003 with all the development functionality disabled or stripped away) only runs dependably on Windows 2000 and Windows XP, so problems with Windows 95, NT and ME are to be expected. You'd probably have had better luck with Access 2000 Runtime, but that is not easily available any more.

  3. #3
    Plutonium Lounger
    Join Date
    Dec 2000
    Location
    Sacramento, California, USA
    Posts
    16,775
    Thanks
    0
    Thanked 1 Time in 1 Post

    Re: Access Runtime Errors and Jet versions (Acc2003 on xp (2000 mode))

    The obvious way is the only way to handle this. The runtime environment isn't the issue. Office 2003, which includes Access 2003, has the following system requirements:

    Microsoft Windows Server 2003 or a later version
    Microsoft Windows XP or a later version
    Microsoft Windows 2000 Service Pack 3 (SP3) or a later version

    Note that NT and Win 95, 98 and ME are not listed. That means it is a gamble as to whether it will run at all and a still bigger gamble that it will run properly.
    Charlotte

  4. #4
    3 Star Lounger
    Join Date
    Nov 2001
    Location
    Brisbane, Queensland, Australia
    Posts
    330
    Thanks
    10
    Thanked 0 Times in 0 Posts

    Re: Access Runtime Errors and Jet versions (Acc200

    Hi Guys,
    On inspection I found that the Access2003 disk I have ships AccessRT 2000.
    Since my last post I have been able to get the 2 of the 3 problem machines upgraded to XP (the 3rd one to be done tomorrow), but they are still getting the intermittent runtime errors. There seems to be only 2 events that trigger the error but not consistantly. I have watched what they do and and have put on error routines into the events to return a value but to no good. Either I have the wrong areas or the RT enviro is just dying without triggering the error trap.

    I have just seen a post showing how to create a decompile command and have just done so and Compacted and repaired. Maybe this might help.
    We all have the latest version of msjet40.dll. (just checked)

    I am very disappointed about this, having spent $500 on what I thought was problems due to the RT not being supported properly.

    Any ideas?

    PS I've just found one of the two errors and yes, you guessed it, a coding error. If only I can get the other one!

    Allan
    "Heading for the deep end"

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •